#
# spec file for package gnome-core (Version 1.4.0.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile control-center control-center-devel esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gtk gtk-devel gxmhtml imlib imlib-devel indent libglade libglade-devel libjpeg libpng libtiff libungif libxml libxml-devel libz orbit orbit-devel scrollkeeper xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gxmhtml gzip imlib imlib-devel indent kbd less libglade libglade-devel libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm scrollkeeper sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         gnome-core
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    LGPL
Group:        X11/GNOME/Base
Obsoletes:    gncore
Provides:     gncore
Requires:     sawfish windowmanager xf86
Autoreqprov:  on
Version:      1.4.0.4
Release:      143
Summary:      The GNOME base package
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-core/gnome-core-%{version}.tar.bz2
# SuSE Default Desktop Layout
Source1:      layout.tar.bz2
Patch:        gnome-core-sessionstart.dif
Patch1:       gnome-core-1.2.1-wmlist.dif
Patch2:       gnome-core-intl.dif
Patch5:       gnome-terminal.dif
Patch6:       susemenu.dif
Patch7:       panel-suse-menu.dif
URL:          http://www.gnome.org
BuildRoot:    /var/tmp/gnome-core-root
Docdir:       %{_defaultdocdir}/gnome

%description
This package contains some central GNOME applications like the panel or
a taskbar.
Documentation:
/usr/share/doc/packages/gnome

Authors:
--------
    Alexandre Muniz <munizao@cyberhighway.net>
    Andrew T. Veliath <andrewtv@usa.net>
    Carsten Schaar <nhadcasc@fs-maphy.uni-hannover.de>
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Christopher Blizzard <blizzard@appliedtheory.com>
    Federico Mena Quintero <federico@nuclecu.unam.mx>
    Felix Bellaby <felix@pooh.u-net.com>
    George Lebl <jirka@5z.com>
    Gregory McLean <gregm@comstar.net>
    Havoc Pennington <hp@pobox.com>
    Jaka Mocnik <jaka.mocnik@kiss.uni-lj.si>
    James Henstridge <james@daa.com.au>
    Jeff Garzik <jgarzik@pobox.com>
    Jim Pick <jim@jimpick.com>
    John Ellis <johne@bellatlantic.net>
    Maciej Stachowiak <mstachow@mit.edu>
    Marc Ewing <marc@redhat.com>
    Mark Galassi <rosalia@cygnus.com>
    Martin Baulig <martin@home-of-linux.org>
    Matt Wilson <msw@redhat.com>
    Michael Fulbright <drmike@redhat.com>
    Michael Lausch <mla@gams.at>
    Miguel de Icaza <miguel@nuclecu.unam.mx>
    Nuno Ferreira <nmrf@rnl.ist.utl.pt>
    Oliver Maruhn <om@linuxhq.com>
    Owen Taylor <otaylor@redhat.com>
    Radek Doulik <rodo@msdec.ms.mff.cuni.cz>
    Raja R Harinath <harinath@cs.umn.edu>
    Sebastian Wilhelmi <wilhelmi@ira.uka.de>
    Stuart Parmenter <pavlov@innerx.net>
    The Rasterman <raster@redhat.com>
    Tom Tromey <tromey@cygnus.com>
    Tuomas Kuosmanen <tigert@gimp.org>
    Ville Hautami <villeh@cs.joensuu.fi>
    Yukihiro Nakai <Nakai@abricot.co.jp>

SuSE series: gnm

%package devel
Summary:      GNOME core libraries, includes, etc
Group:        X11/GNOME/Development
Autoreqprov:  on
Obsoletes:    gncored
Provides:     gncored

%description devel
Panel libraries and header files.

Authors:
--------
    v. package gncore

SuSE series: gnm

%prep
#      layout.tar.gz contains the SuSE default Desktop
%setup -b1
%patch  -p 1
%patch1 -p 1
%patch2 -p 1
%patch5 -p 1
TEST=`grep ^VERSION /etc/SuSE-release | cut "-d " -f 3`
MAJOR=`echo $TEST | cut -d. -f 1`
MINOR=`echo $TEST | cut -d. -f 2 | sed -e "s@[^0-9]@@g"`
VERSION=$(( ${MAJOR}*100 + ${MINOR} ))
if [ "$VERSION" -gt 701 ]; then
%patch6 -p 1
fi                                      
%patch7 -p 1

%build
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde2
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
# We really don't want people running this ;-)
rm -f $RPM_BUILD_ROOT%{prefix}/share/applets/Utility/bad-applet.desktop
rm -f $RPM_BUILD_ROOT%{sysconfdir}/CORBA/servers/bad-applet.goad
install -d -m755 $RPM_BUILD_ROOT%{prefix}/etc/CORBA/servers
install -d -m755 $RPM_BUILD_ROOT/usr/X11R6/bin
install -m755 gnome $RPM_BUILD_ROOT/usr/X11R6/bin/gnome
#
# Installing SuSE Default Desktop
#
cd ../themetemp
./install.sh 

%clean
rm -rf $RPM_BUILD_ROOT

%post
install -d -m755 usr/share/omf
rm -fr /opt/gnome/share/omf/omf || true 2> /dev/null
rm -fr /usr/share/omf/gnome || true 2> /dev/null
ln -s /opt/gnome/share/omf usr/share/omf/gnome || true 2> /dev/null

%files
%defattr(-, root, root)
%doc ABOUT-NLS AUTHORS COPYING NEWS README
%{sysconfdir}/CORBA/servers/*
%{sysconfdir}/sound/events/*
%{sysconfdir}/.gconf
/usr/X11R6/bin/gnome
%{prefix}/bin/*
%{prefix}/lib/lib*.so.*
%{prefix}/share/applets/*/*
%{prefix}/share/control-center/*/*
%{prefix}/share/gnome-about
%{prefix}/share/gnome-terminal
%{prefix}/share/gnome/apps
%{prefix}/share/gnome/help
%{prefix}/share/gnome/hints
%{prefix}/share/gnome/html
%{prefix}/share/idl
%{prefix}/share/locale/*/*/*
%{prefix}/share/mc/templates
%{prefix}/share/omf/*
%{prefix}/share/pixmaps/*
%{prefix}/share/SuSEPreConf
%{prefix}/man/*/*
%config %{prefix}/share/gnome/default.session
%config %{prefix}/share/gnome/default.wm

%files devel
%defattr(-, root, root)
%{prefix}/lib/lib*.so
%{prefix}/lib/*.sh
%{prefix}/lib/*a
%{prefix}/include/*

%changelog -n gnome-core
* Mon Sep 17 2001 - hhetter@suse.de
- switched back to "gnome" nautilus theme, "normal" still
  contains the eazel-logo (Bug Id #10692)
* Fri Sep 14 2001 - hhetter@suse.de
- xalf configuration set to compatibly mode, for better
  application startup feedback
- sawfish: raise windows when they are moved
* Thu Sep 13 2001 - hhetter@suse.de
- force preloading of gdkxft if package is installed,
  for automatic use of AA-fonts
- fixed typo in startup-session script
* Tue Sep 11 2001 - hhetter@suse.de
- integrated ken's suse-logo into the suse-tools
* Thu Sep 06 2001 - hhetter@suse.de
- changed nautilus theme in preconfiguration
  from "gnome" to "normal"
* Wed Aug 29 2001 - hhetter@suse.de
- included new background colorset for the
  SuSETools
* Thu Aug 23 2001 - hhetter@suse.de
- removed links to Portal from the SuSETools
* Thu Aug 23 2001 - hhetter@suse.de
- gconf preconfiguration moved to /etc/opt/gnome
- cleanups in installer script
* Wed Aug 15 2001 - hhetter@suse.de
- compile with correct KDE Path
- export KDEDIR in the startup script
* Tue Jul 31 2001 - hhetter@suse.de
- check for Galeon and Gimp on startup
- install Galeon/Gimp Nautilus-Links if available
* Tue Jul 31 2001 - hhetter@suse.de
- sawfish: no more locking when maximized
- removed welcome page from SuSE Tools
* Fri Jul 27 2001 - hhetter@suse.de
- fixed panel-tooltips for mozilla
- sawfish: best-fit placement
* Thu Jul 19 2001 - hhetter@suse.de
- cleanups in preconfiguration installer
- activated tiles in panel (starters and menus)
- sawfish: activated click-to-focus behaviour
* Tue Jul 17 2001 - hhetter@suse.de
- fix for scrollkeeper while updating
* Thu Jul 12 2001 - hhetter@suse.de
- handle installed metadata.db while update
* Thu Jul 05 2001 - hhetter@suse.de
- removed old metadata.db for PPC compatibility
* Mon Jul 02 2001 - hhetter@suse.de
- .gconf file attribute correction
* Mon Jul 02 2001 - hhetter@suse.de
- cleanups in preconfiguration installer
* Tue Jun 26 2001 - hhetter@suse.de
- don't unpack sources twice, fixed setup level
* Thu Jun 21 2001 - hhetter@suse.de
- new multilingual nautilus metafile in $HOME
- sidebar notices for the suse-tools (for now de/en)
- visual improvements for the suse-tools
- fix for language detection for the feature page
* Fri Jun 15 2001 - hhetter@suse.de
- added ke's improvements to the session script (#8658)
* Mon May 21 2001 - hhetter@suse.de
- determine SuSE Release
- install alternate nautilus-metafile for SuSE Release <= 7.1
- some cleanups in preconfiguration installer
- call the SuSE Menu "SuSE" instead of "Distribution"
- updated to version 1.4.0.4
- adapted terminal patch
- use new SuSE Menu location only if SuSE Relase > 7.1
* Tue May 15 2001 - hhetter@suse.de
- disable @euro when LANG=es_ES (#8413)
* Mon May 14 2001 - kukuk@suse.de
- Fix typo in spec file [Bug #8304]
* Thu May 10 2001 - hhetter@suse.de
- changes in the menu configuration (Bug id#8029)
* Wed May 09 2001 - hhetter@suse.de
- fix for tackat's icons in SuSENautilusPage
* Tue May 08 2001 - hhetter@suse.de
- support for the suse-menu made by susewm in the new
  location
- show icons in the suse-menu
- use small icon-size in menus
- prepared suse-tools for tackat's new icons
* Thu May 03 2001 - hhetter@suse.de
- create link for the scrollkeeper omf directory
* Wed Apr 25 2001 - hhetter@suse.de
- use the Raleigh gtk-theme if available, otherwise
  fallback to gtk-default
* Tue Apr 24 2001 - hhetter@suse.de
- use a nicer preconfiguration background color
  (reviewed by tackat and cfisher)
* Thu Apr 12 2001 - hhetter@suse.de
- sawfish preconfiguration renewal (0.34->0.38)
- Crux as sawfish default theme
- fix: no longer copy Nautilus directory from preconfiguration
* Wed Apr 11 2001 - hhetter@suse.de
- sessionstart: behave like the plain gnome-session if SuSE
  preconfiguration-data is not found
- installation of SuSE Tools is now configureable
- if configured, SuSE Tools will be visible even if
  a gnome-desktop configuration was already found
* Mon Apr 09 2001 - hhetter@suse.de
- removed SuSE Tour links in favour of the new SuSE Tour
  packages, providing their own link
* Wed Apr 04 2001 - hhetter@suse.de
- update to 1.4.0.1
* Thu Mar 29 2001 - hhetter@suse.de
- use gnome icons for the suse tools until we have selfmade ones
* Wed Mar 28 2001 - hhetter@suse.de
- gconf: nautilus to startup with GNOME theme in all
  user-skill modes
* Mon Mar 26 2001 - hhetter@suse.de
- included GNOME 1.4 welcome page (en / de)
- additional SuSE linkset changes
- added script for language detection
* Fri Mar 23 2001 - hhetter@suse.de
- gnome-sessionstart.dif: added desktop link to suse-tools
- included xml files accordingly
- SuSE linkset changes
- added requires: sawfish to ensure default config availability
* Fri Mar 23 2001 - hhetter@suse.de
- startup session now provides local copy of suse-tools,
  preventing nautilus from showing read-only emblems and
  makes suse-tools customizeable
* Fri Mar 23 2001 - hhetter@suse.de
- changed "first-time-wizard-flag" in .nautilus
  to "first-time-flag"
- first snapshot of "SuSE Tools" in preconfiguration,
  needs work on icons and links
- additional gconf tweaks
- created SuSEPreConf/HTMLs directory for welcome pages
- preconfiguration finally works fine :-)
* Thu Mar 22 2001 - hhetter@suse.de
- gconf renewal, likes nautilus again
- more default configuration work
- copied YaST2-Menu Icon into pixmap path
* Sun Mar 18 2001 - egger@suse.de
- Updated to version 1.4.0.
- Changed specfile accordingly.
* Fri Mar 09 2001 - ro@suse.de
- added xf86 to neededforbuild
* Thu Mar 01 2001 - hhetter@suse.de
- adapted SuSE-Preconfiguration to gconf
* Tue Feb 27 2001 - hhetter@suse.de
- adapted SuSE-Preconfiguration to Nautilus
- integration of gconf into SuSE preconfiguration
- disabled gmc in SuSE preconfiguration
  needs some work, I'll take care of this
* Wed Feb 21 2001 - hhetter@suse.de
- updated to 1.3.0
* Thu Jan 18 2001 - hhetter@suse.de
- new suse menu icon, independence from GDM (Bug #5871)
* Thu Jan 11 2001 - hhetter@suse.de
- fixed Tooltips (Bug #5447)
- removed temp sawfish Session
* Wed Jan 10 2001 - hhetter@suse.de
- fixed $HOME Path in ~/.gnome/session
- fixed icon placement
- fixed KDEDIR Setting for the GNOME Session
* Mon Jan 08 2001 - egger@suse.de
- Removed temporary session files from the package.
* Mon Jan 08 2001 - hhetter@suse.de
- fixed malformed icon positions in
  sawfish client configuration
* Thu Jan 04 2001 - hhetter@suse.de
- reworked Layout (New color set & embossed SuSE Logo)
- fixed overlapping icons
- fixed $HOME Path in startup session
* Sun Dec 24 2000 - egger@suse.de
- Cleaned up specfile and #neededforbuild.
- Recompressed files with bzip2.
- Changed group of development package.
* Mon Dec 18 2000 - hhetter@suse.de
- additional bugfixes for the layout at 800x600
* Fri Dec 15 2000 - hhetter@suse.de
- desktop layout changes, fixes issues from Bug id 4700
- reworked layout at 800x600
- new suse icon at YaST menu
* Thu Nov 30 2000 - hhetter@suse.de
- desktop layout changes
* Wed Nov 29 2000 - hhetter@suse.de
- changes to the default desktop layout; SuSE Menues
* Thu Nov 16 2000 - ke@suse.de
- Update to version 1.2.4.
- spec file: use macros more consistently; fix Source: reference.
* Fri Nov 10 2000 - hhetter@suse.de
- added new session startup script
- added default desktop layout
* Thu Nov 09 2000 - ro@suse.de
- spec-file rework for Obsoletes/Provides
* Wed Nov 08 2000 - ro@suse.de
- added esound-devel to neededforbuild
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Tue Oct 24 2000 - egger@suse.de
- Updated to version 1.2.3.
* Wed Sep 27 2000 - ke@suse.de
- Update to version 1.2.2.1.
* Tue Sep 26 2000 - egger@suse.de
- Updated to 1.2.2
- Removed integrated patch from baulig@suse.de
- Cleanup spec a little bit
- Buildproofed on i386.
* Mon Sep 18 2000 - schwab@suse.de
- Don't try to strip scripts.
* Mon Jul 17 2000 - ke@suse.de
- Add "windowmaker" before wmaker to gsm/gnome-wm (reported by Martin
  Baulig).
* Thu Jul 13 2000 - werner@suse.de
- Set default TERM of gnome-terminal to gnome.
  Remaining problem: if we swap _key_ backspace with _key_ delete
  we should be able to set the ANSI remove sequnece \E[3~ for
  _key_ del as it is set for _key_ del on numerical block.
* Mon Jun 05 2000 - ke@suse.de
- update to version 1.2.1.
* Fri May 26 2000 - baulig@suse.de
- update to version 1.2.0.
- applied my distribution menu patch which will go
  into the next release of gnome-core.
* Thu May 11 2000 - ke@suse.de
- update to version 1.1.90.
- make it work with DESTDIR.
- add gxmhtml to neededforbuild.
* Fri Apr 28 2000 - ke@suse.de
- update to version 1.1.9.
- /usr/doc -> /usr/share/doc.
* Mon Apr 17 2000 - ke@suse.de
- update to version 1.1.8 (CVS 2000-04-17).
- spec file: cleanup: use macros more consistently; adjust the
  %%files list.
* Fri Mar 10 2000 - ke@suse.de
- add group tag.
- patch gnome-wm to use icewm as the default wm.
* Sun Dec 19 1999 - ke@suse.de
- update: 1.0.55 (small fixes: panel memory leak; terminal - sm).
* Fri Nov 05 1999 - ke@suse.de
- update: 1.0.54 (bugfix release, including an security fix).
- rewrite gncore.test.
* Tue Nov 02 1999 - ke@suse.de
- Add an "script" to start GNOME with session management like an
  ordinary WM:
  startx gnome
- provide "gnome-core-devel.
* Fri Oct 29 1999 - ke@suse.de
- /etc/opt/gnome vs. /opt/gnome/etc fixed
* Tue Oct 12 1999 - ke@suse.de
- update: 1.0.53.
* Fri Sep 24 1999 - ro@suse.de
- fixed config.sub for alphaev6
* Mon Sep 20 1999 - ro@suse.de
- added Requires windowmanager
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Sun Jul 25 1999 - ke@suse.de
- update: version 1.0.9 (mainly bugfixes and usability improvements).
* Tue Jul 13 1999 - bs@suse.de
- use gtk and glib instead of gtkn and glibn
* Wed Jun 30 1999 - ke@suse.de
- #neededforbuild libungif.
* Thu Jun 24 1999 - ke@suse.de
- update: version 1.0.7 (mainly bugfixes).
* Fri Jun 04 1999 - ke@suse.de
- update: version 1.0.6.
* Sat Apr 10 1999 - ke@suse.de
- update: version 1.0.5.
- fix file list.
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Sun Mar 14 1999 - ke@suse.de
- update 1.0.3.
- fix CORBA sysconf bug (hack).
* Thu Mar 04 1999 - ke@suse.de
- update 1.0.1.
* Tue Feb 16 1999 - ke@suse.de
- update: version 0.99.8.1.
- use sysconfdir=/etc/opt/gnome.
- #neededforbuild: add esound and audiofil.
* Sun Feb 14 1999 - ke@suse.de
- update: version 0.99.8.
* Thu Feb 11 1999 - ke@suse.de
- update: version 0.99.7.
* Tue Feb 02 1999 - ke@suse.de
- update: version 0.99.5.1.
- use sysconfdir=/etc/gnome.
- update gncore.test.
* Fri Jan 22 1999 - ke@suse.de
- update: version 0.99.3.2.
* Thu Jan 14 1999 - ke@suse.de
- update: version 0.99.3.
* Sun Jan 10 1999 - ke@suse.de
- update: version 0.99.2.
- create subpackage `gncored' (dev package).
- make it BuildRoot.
* Thu Nov 19 1998 - ro@suse.de
- update version in specfile
* Wed Nov 18 1998 - ro@suse.de
- update to 0.30
* Tue Jul 28 1998 - maddin@suse.de
- gnomewm now respects listexec version (> 0.4.3)
* Mon Jul 20 1998 - maddin@suse.de
- removed bug from gnomewm which always started an fvwm
* Wed Jul 08 1998 - maddin@suse.de
- first S.u.S.E. version
- move everything to /opt/gnome
- new files gnome and gnomewm to start gnome correctly
